<?
include '../config.php';
include '../func.php';

head();
aut();
ban();
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'magaz' WHERE `id` = '".$id_session."'");
####################################################
////////////////////////////////////////
echo head . "<b>Магазин</b>" . div;

if ( $_GET['res'] == 'good' ) {
    echo katalog . 'Цвет ника изменен' . div;
}

if ( $_GET['res'] == 'error' ) {
    echo katalog . 'Возникла ошибка' . div;
}


echo katalog . 'Градиент ника' . div;

echo link2 . 'Ваш ник: '.colorl($id_session).'<br/ >У вас монет: '.$many_session.'<br/ >';
echo 'Цена смена цвета: '.$gradient_cena.' монет(а)' . div;



if ( $many_session < $gradient_cena) {
    echo katalog . 'У вас не достаточно средств' . div;
} else {
    echo katalog . '<form action="gradient.php?result" method="post" name="form">
    <select name="color">
    <option value="'.$color_login_session.'">Не изменять</option>
    <option value="17">Красно-синий</option>
    <option value="18">Черно-зеленый</option>
    <option value="23">Черно-белый</option>
    <option value="24">Красно-зеленый</option>
    <option value="25">Красно-черный</option>
    <option value="26">Золотисто-серый</option>
    <option value="27">Золотисто-синий</option>
    <option value="28">Черной-зеленый 2</option>
    <option value="29">Розово-белый</option>
    <option value="30">Черно-белый</option>
    <option value="31">Черно-золотистый</option>
    <option value="32">Красно-голубой</option>
    <option value="33">Фиолетово-оранжевый</option>
    <option value="34">Черно-белый</option>
    <option value="36">Фиолетово-белый</option>
    <option value="37">Фиолетово-золотистый</option>
    <option value="38">Черно-фиолетовый</option>
    <option value="39">Фиолетово-зеленый</option>
    <option value="40">Фиолетово-красный</option>
    <option value="41">Салатово-синий</option>
    </select><br/>
    <input name="submit" type="submit"  class="button" value="Сохранить" /></form>' . div;

}

if (isset($_GET['result'])) {
    
        $color = num($_POST['color']);
    
    if ($vip_session < time()) {
    $many = $many_session - $gradient_cena;
    mysql_query("UPDATE `profile` SET `many` = '".$many."' WHERE `id` = '".$id_session."'");
    }
    
    $result = mysql_query("UPDATE `profile` SET `color_login` = '".$color."' WHERE `id` = '".$id_session."'");
    
    if ( $result != NULL ) {
        echo rew('gradient.php?res=good');
    } else {
        echo rew('gradient.php?res=error');
    }
    
}
//////////////////////////////////////

pod_navig();
foot();
?>